## API Report File for "@fluentui/react-accordion"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import type { ARIAButtonShorthandProps } from '@fluentui/react-aria';
import type { ComponentProps } from '@fluentui/react-utilities';
import type { ComponentState } from '@fluentui/react-utilities';
import type { Context } from '@fluentui/react-context-selector';
import type { ForwardRefComponent } from '@fluentui/react-utilities';
import type { IntrinsicShorthandProps } from '@fluentui/react-utilities';
import * as React_2 from 'react';

// @public
export const Accordion: ForwardRefComponent<AccordionProps>;

// @public (undocumented)
export const accordionClassName = "fui-Accordion";

// @public (undocumented)
export type AccordionCommons = {
    navigable: boolean;
    multiple: boolean;
    collapsible: boolean;
};

// @public (undocumented)
export const AccordionContext: Context<AccordionContextValue>;

// @public (undocumented)
export type AccordionContextValue = Omit<AccordionCommons, 'multiple'> & {
    openItems: AccordionItemValue[];
    requestToggle: (event: AccordionToggleEvent, data: AccordionToggleData) => void;
};

// @public (undocumented)
export type AccordionContextValues = {
    accordion: AccordionContextValue;
};

// @public
export const AccordionHeader: ForwardRefComponent<AccordionHeaderProps>;

// @public (undocumented)
export const accordionHeaderClassName = "fui-AccordionHeader";

// @public (undocumented)
export type AccordionHeaderCommons = {
    size: AccordionHeaderSize;
    expandIconPosition: AccordionHeaderExpandIconPosition;
    inline: boolean;
};

// @public (undocumented)
export type AccordionHeaderContextValue = {
    disabled: boolean;
    open: boolean;
    expandIconPosition: AccordionHeaderExpandIconPosition;
    size: AccordionHeaderSize;
};

// @public (undocumented)
export type AccordionHeaderContextValues = {
    accordionHeader: AccordionHeaderContextValue;
};

// @public (undocumented)
export type AccordionHeaderExpandIconPosition = 'start' | 'end';

// @public (undocumented)
export type AccordionHeaderProps = ComponentProps<AccordionHeaderSlots> & Partial<AccordionHeaderCommons>;

// @public (undocumented)
export type AccordionHeaderSize = 'small' | 'medium' | 'large' | 'extra-large';

// @public (undocumented)
export type AccordionHeaderSlots = {
    root: IntrinsicShorthandProps<'div'>;
    button: ARIAButtonShorthandProps;
    expandIcon: IntrinsicShorthandProps<'span'>;
    icon?: IntrinsicShorthandProps<'div'>;
};

// @public (undocumented)
export type AccordionHeaderState = ComponentState<AccordionHeaderSlots> & AccordionHeaderCommons & AccordionHeaderContextValue;

// @public (undocumented)
export type AccordionIndex = number | number[];

// @public
export const AccordionItem: ForwardRefComponent<AccordionItemProps>;

// @public (undocumented)
export const accordionItemClassName = "fui-AccordionItem";

// @public (undocumented)
export type AccordionItemCommons = {
    disabled: boolean;
    value: AccordionItemValue;
};

// @public (undocumented)
export const AccordionItemContext: React_2.Context<AccordionItemContextValue>;

// @public (undocumented)
export type AccordionItemContextValue = Omit<AccordionItemCommons, 'value'> & {
    open: boolean;
    onHeaderClick(ev: React_2.MouseEvent | React_2.KeyboardEvent): void;
};

// @public (undocumented)
export type AccordionItemContextValues = {
    accordionItem: AccordionItemContextValue;
};

// @public (undocumented)
export type AccordionItemProps = ComponentProps<AccordionItemSlots> & Partial<AccordionItemCommons> & Pick<AccordionItemCommons, 'value'>;

// @public (undocumented)
export type AccordionItemSlots = {
    root: IntrinsicShorthandProps<'div'>;
};

// @public (undocumented)
export type AccordionItemState = ComponentState<AccordionItemSlots> & AccordionItemCommons & AccordionItemContextValue;

// @public (undocumented)
export type AccordionItemValue = unknown;

// @public
export const AccordionPanel: ForwardRefComponent<AccordionPanelProps>;

// @public (undocumented)
export const accordionPanelClassName = "fui-AccordionPanel";

// @public (undocumented)
export type AccordionPanelProps = ComponentProps<AccordionPanelSlots>;

// @public (undocumented)
export type AccordionPanelSlots = {
    root: IntrinsicShorthandProps<'div'>;
};

// @public (undocumented)
export type AccordionPanelState = ComponentState<AccordionPanelSlots> & {
    open: boolean;
};

// @public (undocumented)
export type AccordionProps = ComponentProps<AccordionSlots> & Partial<AccordionCommons> & {
    openItems?: AccordionItemValue | AccordionItemValue[];
    defaultOpenItems?: AccordionItemValue | AccordionItemValue[];
    onToggle?: AccordionToggleEventHandler;
};

// @public (undocumented)
export type AccordionSlots = {
    root: IntrinsicShorthandProps<'div'>;
};

// @public (undocumented)
export type AccordionState = ComponentState<AccordionSlots> & AccordionCommons & AccordionContextValue;

// @public (undocumented)
export type AccordionToggleData = {
    value: AccordionItemValue;
};

// @public (undocumented)
export type AccordionToggleEvent<E = HTMLElement> = React_2.MouseEvent<E> | React_2.KeyboardEvent<E>;

// @public (undocumented)
export type AccordionToggleEventHandler = (event: AccordionToggleEvent, data: AccordionToggleData) => void;

// @public
export const renderAccordion: (state: AccordionState, contextValues: AccordionContextValues) => JSX.Element;

// @public
export const renderAccordionHeader: (state: AccordionHeaderState, contextValues: AccordionHeaderContextValues) => JSX.Element;

// @public
export const renderAccordionItem: (state: AccordionItemState, contextValues: AccordionItemContextValues) => JSX.Element;

// @public
export const renderAccordionPanel: (state: AccordionPanelState) => JSX.Element | null;

// @public
export const useAccordion: (props: AccordionProps, ref: React_2.Ref<HTMLElement>) => AccordionState;

// @public (undocumented)
export function useAccordionContextValues(state: AccordionState): AccordionContextValues;

// @public
export const useAccordionHeader: (props: AccordionHeaderProps, ref: React_2.Ref<HTMLElement>) => AccordionHeaderState;

// @public (undocumented)
export function useAccordionHeaderContextValues(state: AccordionHeaderState): AccordionHeaderContextValues;

// @public
export const useAccordionHeaderStyles: (state: AccordionHeaderState) => AccordionHeaderState;

// @public
export const useAccordionItem: (props: AccordionItemProps, ref: React_2.Ref<HTMLElement>) => AccordionItemState;

// @public (undocumented)
export const useAccordionItemContext: () => AccordionItemContextValue;

// @public (undocumented)
export function useAccordionItemContextValues(state: AccordionItemState): AccordionItemContextValues;

// @public (undocumented)
export const useAccordionItemStyles: (state: AccordionItemState) => AccordionItemState;

// @public
export const useAccordionPanel: (props: AccordionPanelProps, ref: React_2.Ref<HTMLElement>) => AccordionPanelState;

// @public
export const useAccordionPanelStyles: (state: AccordionPanelState) => AccordionPanelState;

// @public (undocumented)
export const useAccordionStyles: (state: AccordionState) => AccordionState;

// (No @packageDocumentation comment for this package)

```
