import { tokens } from '@fluentui/react-theme';
import type { MakeStylesStyle } from '@fluentui/react-make-styles';

/**
 * Make-styles rules for the typography variants
 */
export const caption: MakeStylesStyle = {
  fontFamily: tokens.fontFamilyBase,
  fontSize: tokens.fontSizeBase200,
  lineHeight: tokens.lineHeightBase200,
  fontWeight: tokens.fontWeightRegular,
};
export const body: MakeStylesStyle = {
  fontFamily: tokens.fontFamilyBase,
  fontSize: tokens.fontSizeBase300,
  lineHeight: tokens.lineHeightBase300,
  fontWeight: tokens.fontWeightRegular,
};
export const subheadline: MakeStylesStyle = {
  fontFamily: tokens.fontFamilyBase,
  fontSize: tokens.fontSizeBase400,
  lineHeight: tokens.lineHeightBase400,
  fontWeight: tokens.fontWeightSemibold,
};
export const headline: MakeStylesStyle = {
  fontFamily: tokens.fontFamilyBase,
  fontSize: tokens.fontSizeBase500,
  lineHeight: tokens.lineHeightBase500,
  fontWeight: tokens.fontWeightSemibold,
};
export const title3: MakeStylesStyle = {
  fontFamily: tokens.fontFamilyBase,
  fontSize: tokens.fontSizeBase600,
  lineHeight: tokens.lineHeightBase600,
  fontWeight: tokens.fontWeightSemibold,
};
export const title2: MakeStylesStyle = {
  fontFamily: tokens.fontFamilyBase,
  fontSize: tokens.fontSizeHero700,
  lineHeight: tokens.lineHeightHero700,
  fontWeight: tokens.fontWeightSemibold,
};
export const title1: MakeStylesStyle = {
  fontFamily: tokens.fontFamilyBase,
  fontSize: tokens.fontSizeHero800,
  lineHeight: tokens.lineHeightHero800,
  fontWeight: tokens.fontWeightSemibold,
};
export const largeTitle: MakeStylesStyle = {
  fontFamily: tokens.fontFamilyBase,
  fontSize: tokens.fontSizeHero900,
  lineHeight: tokens.lineHeightHero900,
  fontWeight: tokens.fontWeightSemibold,
};
export const display: MakeStylesStyle = {
  fontFamily: tokens.fontFamilyBase,
  fontSize: tokens.fontSizeHero1000,
  lineHeight: tokens.lineHeightHero1000,
  fontWeight: tokens.fontWeightSemibold,
};
